package com.yizhi.lecturer.application.enums;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * 删除标记（0：否；1：是）
 *
 * @author lingye
 * @date 2019-4-24
 */
public enum DeleteFlag {
    // 删除标记（0：否；1：是）
    NO, YES;

    @JsonCreator
    public static DeleteFlag forValue(int ordinal) {
        return DeleteFlag.values()[ordinal];
    }

    @JsonValue
    public int toValue() {
        return this.ordinal();
    }

}
