package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 交银康联 讲师库vo
 * </p>
 *
 * @author lingye
 * @since 2020-5-12
 */
@Data
@ApiModel(value = "LecturerApiVoParam", description = "讲师详情表")
public class LecturerApiVoParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "页码")
    private Integer pageNo;

    @ApiModelProperty(value = "每页的数量")
    private Integer pageSize;

    @ApiModelProperty(value = "分类id列表")
    private List<String> ids;


}
