package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 讲师库系统字典VO
 * </p>
 *
 * @author lingye
 * @since 2019-04-17
 */
@Data
@ApiModel(value = "LecturerDicVO", description = "讲师库系统字典")

public class LecturerDicVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "记录id")
    private Long id;

    @ApiModelProperty(value = "父节点id")
    private Long parentId;

    @ApiModelProperty(value = "字典名称")
    private String name;

    @ApiModelProperty(value = "字典代码")
    private String code;

}
