package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 讲师操作VO
 * @author: lingye
 * @date: 2019-04-23 10:18
 **/
@Data
public class LecturerQueryVO implements Serializable {

    @ApiModelProperty(value = "讲师来源inner 内部/outer 外部")
    private String sourceCode;
    @ApiModelProperty(value = "讲师名称/课程名称")
    private String name;
    @ApiModelProperty(value = "mobile")
    private String mobile;
    @ApiModelProperty(value = "当前页")
    private Integer pageNo;
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "templateId")
    private Long templateId;


}
