package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 讲师操作VO
 * @author: lingye
 * @date: 2019-04-23 10:18
 **/
@Data
public class LecturerTemplateVO implements Serializable {

    @ApiModelProperty(value = "讲师名称/课程名称")
    private String name;

    @ApiModelProperty(value = "当前页")
    private Integer pageNo;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "templateId")
    private Long templateId;

    @ApiModelProperty(value = "plateIds")
    private List<Long> ids;


}
