package com.yizhi.lecturer.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 讲师级别表
 * </p>
 *
 * @author lingye
 * @since 2019-11-05
 */
@Data
@Api(tags = "LecturerGradeVo", description = "讲师级别表")

public class LecturerGradeVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "级别名称")
    private String name;

    @ApiModelProperty(value = "编码")
    private String code;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "状态，1 上架，0 下架")
    private Integer status;

    @ApiModelProperty(value = "删除标志，1是，0否")
    
    private Integer delFlag;

    @ApiModelProperty(value = "创建时间")
    
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    
    private Date updateTime;

    @ApiModelProperty(value = "创建id")
    
    private Long createById;

    @ApiModelProperty(value = "修改人id")
    
    private Long updateById;

    @ApiModelProperty(value = "站点id")
    
    private Long siteId;

    @ApiModelProperty(value = "公司id")
    
    private Long companyId;

}
