package com.yizhi.lecturer.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 讲师关联课程表
 * </p>
 *
 * @author lingye
 * @since 2019-05-06
 */
@Data
@Api(tags = "LecturerRelationVo", description = "讲师关联课程表")

public class LecturerRelationVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "讲师id")
    
    private Long lecturerId;

    @ApiModelProperty(value = "关联id")
    
    private Long relationId;

    @ApiModelProperty(value = "关联名称")
    
    private String relationName;

    @ApiModelProperty(value = "1.在线课程; 2.线下课程；3.培训项目")
    private Integer type;

    @ApiModelProperty(value = "创建时间")
    
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    
    private Date updateTime;

    @ApiModelProperty(value = "1.删除 默认0")
    
    private Integer delFlag;

}
