package com.yizhi.lecturer.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 讲师库、分类关系表
 * </p>
 *
 * @author lingye
 * @since 2019-10-08
 */
@Data
@Api(tags = "TrLecturerClassificationVo", description = "讲师库、分类关系表")

public class TrLecturerClassificationVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "讲师库id")
    
    private Long lecturerId;

    @ApiModelProperty(value = "分类id")
    
    private Long classificationId;


    @ApiModelProperty(value = "创建时间")
    
    private Date createTime;

}
