package com.yizhi.application.service;

import com.yizhi.core.application.context.RequestContext;
import com.yizhi.lecturer.application.vo.LecturerCourseImport;
import com.yizhi.lecturer.application.vo.LecturerScoreImport;
import com.yizhi.system.application.model.ImportModel;

import java.util.List;

/**
 * <p>
 * 讲师详情表 服务类
 * </p>
 *
 * @author lingye
 * @since 2019-04-17
 */
public interface ILecturerImportService {
    /**
     * 评分导入
     * @return
     */
    List<LecturerScoreImport> importScore(ImportModel importModel, Integer type, RequestContext context);

    /**
     * 讲师级别导入
     * @return
     */
    List<LecturerScoreImport> importGrade( ImportModel importModel);

    /**
     * 导入课程
     * @param importModel
     * @return
     */
    List<LecturerCourseImport> importCourse( ImportModel importModel,RequestContext context);
}
