package com.yizhi.lecturer.application.vo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 讲师关联课程表
 * </p>
 *
 * @author lingye
 * @since 2019-04-23
 */
@Data
@ApiModel(value = "LecturerCourseVo", description = "讲师关联课程表")

public class LecturerCourseVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "讲师id")
    
    private Long lecturerId;

    @ApiModelProperty(value = "课程名称")
    
    private String courseName;

    @ApiModelProperty(value = "创建时间")
    
    private Date createTime;

}
