package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 关键字
 * </p>
 *
 * @author lilingye
 * @since 2019-05-06
 */
@Data
@Api(tags = "LecturerKeywordsVo", description = "")
@TableName("lecturer_keywords")
public class LecturerKeywords extends Model<LecturerKeywords> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "讲师id")
    @TableField("lecturer_id")
    private Long lecturerId;

    @ApiModelProperty(value = "关键字")
    private String keywords;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
