package com.yizhi.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.LecturerDic;

import java.util.List;

/**
 * <p>
 * 讲师库系统字典 服务类
 * </p>
 *
 * @author lingye
 * @since 2019-04-17
 */
public interface ILecturerDicService extends IService<LecturerDic> {
    /**
     * 根据code获取字典列表
     *
     * @param code
     * @return
     */
    List<LecturerDic> getLecturerDicListByCode(String code);

    /**
     * 根据code获取字典id
     *
     * @param code
     * @return
     */
    LecturerDic queryLecturerDic(String code);
}
