package com.yizhi.application.service;

import com.yizhi.application.domain.TrLecturerClassification;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 讲师库、分类关系表 服务类
 * </p>
 *
 * @author lingye
 * @since 2019-10-08
 */
public interface ITrLecturerClassificationService extends IService<TrLecturerClassification> {

    /**
     * 查询分类是否被关联
     * @param classificationId 分类id
     * @return
     */
    boolean getRelateLecturer(Long classificationId);

}
